package com.atlassian.stash.internal.user;

import javax.annotation.Nonnull;

/**
 * @since 2.12
 */
public abstract class AbstractVoidInternalStashUserVisitor implements InternalStashUserVisitor<Void> {
    @Override
    public Void visit(@Nonnull InternalNormalUser user) {
        doVisit(user);
        return null;
    }

    @Override
    public Void visit(@Nonnull InternalServiceUser user) {
        doVisit(user);
        return null;
    }

    protected void doVisit(@Nonnull InternalNormalUser user) {
    }

    protected void doVisit(@Nonnull InternalServiceUser user) {
    }

}
